<?php

namespace App\Observers;

use App\Models\WebsiteBuilder;

class WebsiteBuilderObserver
{
    public function saving(WebsiteBuilder $websiteBuilder)
    {
        $company = company();

        if ($company && !$company->is_global) {
            $websiteBuilder->company_id = $company->id;
        }
    }
}
